package com.zhiqiyun.open.core.enmus;


/**
 * @author jtoms
 */

public enum UserState implements IBaseEnum {
    /**
     *
     */
    normal(1, "正常"), disable(0, "禁用");

    private final int value;
    private final String text;

    UserState(int value, String text) {
        this.value = value;
        this.text = text;
    }

    public static UserState valueOf(int value) {
        UserState[] values = UserState.values();
        for (UserState type : values) {
            if (type.value == value) {
                return type;
            }
        }
        return null;
    }

    public String getText() {
        return text;
    }

    public Integer getValue() {
        return value;
    }

    @Override
    public String getName() {
        return this.name();
    }
}
